net.minecraft.item

## Enum ItemArmor.ArmorMaterial

- java.lang.Object
- - java.lang.Enum<ItemArmor.ArmorMaterial>
  - - net.minecraft.item.ItemArmor.ArmorMaterial

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ItemArmor.ArmorMaterial>
  Enclosing class:
    ItemArmor

      public static enum ItemArmor.ArmorMaterial
      extends java.lang.Enum<ItemArmor.ArmorMaterial>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAIN`
    `CLOTH`
    `DIAMOND`
    `GOLD`
    `IRON`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Item` | `customCraftingMaterial`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Item` | `func_151685_b()`
    `int` | `getDamageReductionAmount(int par1)`
    `int` | `getDurability(int par1)`
    `int` | `getEnchantability()`
    `static ItemArmor.ArmorMaterial` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ItemArmor.ArmorMaterial[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOTH

          public static final ItemArmor.ArmorMaterial CLOTH

    - #### CHAIN

          public static final ItemArmor.ArmorMaterial CHAIN

    - #### IRON

          public static final ItemArmor.ArmorMaterial IRON

    - #### GOLD

          public static final ItemArmor.ArmorMaterial GOLD

    - #### DIAMOND

          public static final ItemArmor.ArmorMaterial DIAMOND

  - ### Field Detail

    - #### customCraftingMaterial

          public Item customCraftingMaterial

  - ### Method Detail

    - #### values

          public static ItemArmor.ArmorMaterial[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemArmor.ArmorMaterial c : ItemArmor.ArmorMaterial.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemArmor.ArmorMaterial valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDurability

          public int getDurability(int par1)

    - #### getDamageReductionAmount

          public int getDamageReductionAmount(int par1)

    - #### getEnchantability

          public int getEnchantability()

    - #### func_151685_b

          public Item func_151685_b()